Bug 52759 - bad parameter parsing
Summary: bad parameter parsing
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: w3m   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Satoru SATOH
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-28 19:29 UTC by Enrico Scholz
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-30 00:22:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-08-28 19:29:21 UTC
The w3m-wrapper of w3m-0.2.1-9 script uses the statement

| if [ -f $http_home ]; then
|   [ -z "$@" ] && exec $w3m_bin $http_home
| fi

bash-2.05-8 produces an errormessage at the "$@" statement when called with
multiple arguments:

| $ w3m -cookie 'http://bugzilla.redhat.com'
| /usr/bin/w3m: [: -cookie: binary operator expected


I suggest to use '[ -z "$*" ] && exec ...' instead of.

Comment 1 Satoru SATOH 2001-08-30 00:22:01 UTC
Thanks.
I fixed as you said at 0.2.1-10.


Note You need to log in before you can comment on or make changes to this bug.